Gentoo Archives: gentoo-lisp

From: "Andrey G. Grozin" <A.G.Grozin@×××××××.su>
To: gentoo-lisp@l.g.o
Subject: [gentoo-lisp] ecls-10.3.1
Date: Sun, 07 Mar 2010 14:50:43
Message-Id: alpine.LRH.1.10.1003072043440.24147@star.inp.nsk.su
In Reply to: Re: [gentoo-lisp] stabilization of ecls-9.12.3 by "Andrey G. Grozin"
Hello *,

After upgrading ecls to 10.3.1 and re-compiling maxima with it, I found a 
large number of testsuite failures which were not present with earlier 
ecls versions (including 10.2.1). It seems that maxima cannot find any 
package at all. So, either some file-related stuff got broken, or 
string-related stuff (used for paths to files). It seems we should not put 
this version to the main tree, because it breaks a major client (maxima). 
Have not tried to compile fricas with this version of ecls, so, don't know 
about it.

Andrey

Replies

Subject Author
Re: [gentoo-lisp] ecls-10.3.1 Stelian Ionescu <sionescu@××××.org>
[gentoo-lisp] sbcl-1.0.38 with USE=threads: test failures in sb-concurrency "Andrey G. Grozin" <A.G.Grozin@×××××××.su>
[gentoo-lisp] clozurecl-1.5 in the tree "Andrey G. Grozin" <A.G.Grozin@×××××××.su>